org.apache.xerces.impl.dtd

## Class XMLEntityDecl

- java.lang.Object
- - org.apache.xerces.impl.dtd.XMLEntityDecl

    public class XMLEntityDecl
    extends java.lang.Object

Version:
  $Id: XMLEntityDecl.java 446755 2006-09-15 21:56:27Z mrglavas $

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

### Field Summary

Fields
`java.lang.String` `baseSystemId` baseSystemId
`boolean` `inExternal` Note: flag of where the entity is defined, not whether it is a external entity
`boolean` `isPE` isPE
`java.lang.String` `name` name
`java.lang.String` `notation` notation
`java.lang.String` `publicId` publicId
`java.lang.String` `systemId` systemId
`java.lang.String` `value` Value.

### Constructor Summary

Constructors
Constructor and Description
`XMLEntityDecl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()` clear
`void` `setValues(java.lang.String name, java.lang.String publicId, java.lang.String systemId, java.lang.String baseSystemId, java.lang.String notation, boolean isPE, boolean inExternal)` setValues
`void` `setValues(java.lang.String name, java.lang.String publicId, java.lang.String systemId, java.lang.String baseSystemId, java.lang.String notation, java.lang.String value, boolean isPE, boolean inExternal)` setValues

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    public java.lang.String name

name

#### publicId

    public java.lang.String publicId

publicId

#### systemId

    public java.lang.String systemId

systemId

#### baseSystemId

    public java.lang.String baseSystemId

baseSystemId

#### notation

    public java.lang.String notation

notation

#### isPE

    public boolean isPE

isPE

#### inExternal

    public boolean inExternal

Note: flag of where the entity is defined, not whether it is a external entity

#### value

    public java.lang.String value

Value.

### Constructor Detail

#### XMLEntityDecl

    public XMLEntityDecl()

### Method Detail

#### setValues

    public void setValues(java.lang.String name,
                          java.lang.String publicId,
                          java.lang.String systemId,
                          java.lang.String baseSystemId,
                          java.lang.String notation,
                          boolean isPE,
                          boolean inExternal)

setValues

Parameters:
  `name` -
  `publicId` -
  `systemId` -
  `baseSystemId` -
  `notation` -
  `isPE` -
  `inExternal` -

#### setValues

    public void setValues(java.lang.String name,
                          java.lang.String publicId,
                          java.lang.String systemId,
                          java.lang.String baseSystemId,
                          java.lang.String notation,
                          java.lang.String value,
                          boolean isPE,
                          boolean inExternal)

setValues

Parameters:
  `name` -
  `publicId` -
  `systemId` -
  `baseSystemId` -
  `value` -
  `notation` -
  `isPE` -
  `inExternal` -

#### clear

    public void clear()

clear